﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Multiple_FileUpload_FormData_AJAX_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult UploadFiles()
        {
            string message = string.Empty;
            //Create the Directory.
            string path = Server.MapPath("~/Uploads/");
            if (!Directory.Exists(path))
            {
                Directory.CreateDirectory(path);
            }

            for (int i = 0; i < Request.Files.Count; i++)
            {
                //Fetch the File.
                HttpPostedFileBase postedFile = Request.Files[i];

                //Fetch the File Name.
                string fileName = Path.GetFileName(postedFile.FileName);

                //Save the File.
                postedFile.SaveAs(path + fileName);

                message += string.Format("<b>{0}</b> uploaded.<br />", fileName);
            }

            //Send OK Response to Client.
            return Content(message);
        }
    }
}